[zenity/jjardon/no_gnome-common: 1/2] Use upstream autoreconf instead deprecated gnome-autogen
- From: Javier Jardón Cabezas <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [zenity/jjardon/no_gnome-common: 1/2] Use upstream autoreconf instead deprecated gnome-autogen
- Date: Sat, 9 Feb 2019 11:55:47 +0000 (UTC)
commit c38a40c1227491f9f0756b4792af366483ee1824
Author: Javier Jardón <jjardon gnome org>
Date: Fri Jan 18 17:22:33 2019 +0000
Use upstream autoreconf instead deprecated gnome-autogen
autogen.sh | 44 ++++++++++++++++++++++++++++++--------------
configure.ac | 4 ++--
2 files changed, 32 insertions(+), 16 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 35c8ee3..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,22 +1,38 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="zenity"
+cd $srcdir
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/ChangeLog \
- && test -d $srcdir/src) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level zenity directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
-which gnome-autogen.sh || {
- echo "You need to install gnome-common"
- exit 1
-}
-. gnome-autogen.sh
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 63ca67a..edbb21c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -102,8 +102,8 @@ fi
# Debug
# *******************************
-GNOME_DEBUG_CHECK
-GNOME_COMPILE_WARNINGS([maximum])
+AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
+
# *******************************
# Internationalization
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]